> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a note

> Retrieves the note with the specified ID.



## OpenAPI

````yaml /openapi-private.json get /notes/{id}
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /notes/{id}:
    get:
      tags:
        - Notes
      summary: Retrieve a note
      description: Retrieves the note with the specified ID.
      operationId: getNoteById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved the note.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoteDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ValidationExceptionDto'
                  - $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Note not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    NoteDto:
      type: object
      properties:
        id:
          type: string
        title:
          anyOf:
            - type: string
            - type: 'null'
        content:
          type: string
        createdAt:
          $ref: '#/components/schemas/DateISO'
        lastEditedAt:
          $ref: '#/components/schemas/DateISO'
        createdBy:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
        editors:
          type: array
          items:
            $ref: '#/components/schemas/NoteEditorDto'
        links:
          type: array
          items:
            $ref: '#/components/schemas/NoteLinkDto'
        meeting:
          anyOf:
            - $ref: '#/components/schemas/NoteLinkedMeetingDto'
            - type: 'null'
        call:
          anyOf:
            - $ref: '#/components/schemas/NoteLinkedCallDto'
            - type: 'null'
        audioRecording:
          anyOf:
            - $ref: '#/components/schemas/NoteLinkedAudioRecordingDto'
            - type: 'null'
        type:
          type: string
          enum:
            - manual
            - aiSummary
        source:
          $ref: '#/components/schemas/NoteDtoSource'
        pinned:
          type: boolean
        shouldPoll:
          type: boolean
        labels:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              colorHex:
                type: string
            required:
              - id
              - name
              - colorHex
      required:
        - id
        - title
        - content
        - createdAt
        - lastEditedAt
        - createdBy
        - editors
        - links
        - meeting
        - call
        - audioRecording
        - type
        - source
        - pinned
        - shouldPoll
        - labels
      id: PrivateNoteDto
    ValidationExceptionDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssueDto'
      required:
        - status
        - message
        - requestId
        - errors
      id: ValidationExceptionDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    DateISO:
      id: DateISO
      format: date-time
      anyOf:
        - type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
    UserBadgeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
        deactivatedAt:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - id
        - name
        - avatarUrl
        - deactivatedAt
      id: PrivateUserBadgeDto
    NoteEditorDto:
      type: object
      properties:
        editedBy:
          $ref: '#/components/schemas/UserBadgeDto'
        editedAt:
          $ref: '#/components/schemas/DateISO'
      required:
        - editedBy
        - editedAt
      id: PrivateNoteEditorDto
    NoteLinkDto:
      oneOf:
        - $ref: '#/components/schemas/NoteLinkCandidateDto'
        - $ref: '#/components/schemas/NoteLinkVacancyDto'
        - $ref: '#/components/schemas/NoteLinkClientDto'
        - $ref: '#/components/schemas/NoteLinkApplicationDto'
        - $ref: '#/components/schemas/NoteLinkClientContactDto'
        - $ref: '#/components/schemas/NoteLinkInterviewDto'
        - $ref: '#/components/schemas/NoteLinkOpportunityDto'
      id: PrivateNoteLinkDto
    NoteLinkedMeetingDto:
      type: object
      properties:
        id:
          type: string
        meetingProvider:
          anyOf:
            - $ref: '#/components/schemas/MeetingProvider'
            - type: 'null'
        title:
          type: string
        startTime:
          $ref: '#/components/schemas/DateISO'
        endTime:
          $ref: '#/components/schemas/DateISO'
        hasTranscript:
          type: boolean
      required:
        - id
        - meetingProvider
        - title
        - startTime
        - endTime
        - hasTranscript
      id: PrivateNoteLinkedMeetingDto
    NoteLinkedCallDto:
      type: object
      properties:
        id:
          type: string
        provider:
          $ref: '#/components/schemas/TelecomProvider'
        startTime:
          $ref: '#/components/schemas/DateISO'
        endTime:
          $ref: '#/components/schemas/DateISO'
        hasTranscript:
          type: boolean
      required:
        - id
        - provider
        - startTime
        - endTime
        - hasTranscript
      id: PrivateNoteLinkedCallDto
    NoteLinkedAudioRecordingDto:
      type: object
      properties:
        id:
          type: string
        startTime:
          $ref: '#/components/schemas/DateISO'
        endTime:
          $ref: '#/components/schemas/DateISO'
        hasTranscript:
          type: boolean
      required:
        - id
        - startTime
        - endTime
        - hasTranscript
      id: PrivateNoteLinkedAudioRecordingDto
    NoteDtoSource:
      id: PrivateNoteDtoSource
      type:
        - string
        - 'null'
      enum:
        - phone
        - phoneInbound
        - phoneOutbound
        - inPerson
        - onlineMeeting
        - callAttempted
        - null
    ValidationIssueDto:
      oneOf:
        - $ref: '#/components/schemas/ValidationRequiredDto'
        - $ref: '#/components/schemas/ValidationInvalidEmptyStringDto'
        - $ref: '#/components/schemas/ValidationUnknownFieldDto'
        - $ref: '#/components/schemas/ValidationTooSmallDto'
        - $ref: '#/components/schemas/ValidationTooBigDto'
        - $ref: '#/components/schemas/ValidationInvalidTypeDto'
        - $ref: '#/components/schemas/ValidationInvalidValueDto'
        - $ref: '#/components/schemas/ValidationInvalidEmailDto'
        - $ref: '#/components/schemas/ValidationInvalidUuidDto'
        - $ref: '#/components/schemas/ValidationInvalidUrlDto'
        - $ref: '#/components/schemas/ValidationInvalidDatetimeDto'
        - $ref: '#/components/schemas/ValidationInvalidDateDto'
        - $ref: '#/components/schemas/ValidationInvalidTimeDto'
        - $ref: '#/components/schemas/ValidationInvalidDurationDto'
        - $ref: '#/components/schemas/ValidationInvalidIpv4Dto'
        - $ref: '#/components/schemas/ValidationInvalidIpv6Dto'
        - $ref: '#/components/schemas/ValidationInvalidJsonStringDto'
        - $ref: '#/components/schemas/ValidationInvalidJwtDto'
        - $ref: '#/components/schemas/ValidationInvalidRegexDto'
        - $ref: '#/components/schemas/ValidationInvalidPhoneNumberDto'
        - $ref: '#/components/schemas/ValidationInvalidDomainDto'
        - $ref: '#/components/schemas/ValidationInvalidHttpsUrlDto'
        - $ref: '#/components/schemas/ValidationInvalidTimezoneDto'
        - $ref: '#/components/schemas/ValidationPaginationOffsetExceededDto'
      id: ValidationIssueDto
    NoteLinkCandidateDto:
      type: object
      properties:
        id:
          type: string
        noteId:
          type: string
        entityType:
          type: string
          enum:
            - candidate
        candidate:
          type: object
          properties:
            id:
              type: string
            firstName:
              type: string
            lastName:
              type: string
            middleName:
              anyOf:
                - type: string
                - type: 'null'
            secondLastName:
              anyOf:
                - type: string
                - type: 'null'
            avatarUrl:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - id
            - firstName
            - lastName
            - middleName
            - secondLastName
            - avatarUrl
      required:
        - id
        - noteId
        - entityType
        - candidate
      id: PrivateNoteLinkCandidateDto
    NoteLinkVacancyDto:
      type: object
      properties:
        id:
          type: string
        noteId:
          type: string
        entityType:
          type: string
          enum:
            - vacancy
        vacancy:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        client:
          $ref: '#/components/schemas/ClientBadgeDto'
      required:
        - id
        - noteId
        - entityType
        - vacancy
        - client
      id: PrivateNoteLinkVacancyDto
    NoteLinkClientDto:
      type: object
      properties:
        id:
          type: string
        noteId:
          type: string
        entityType:
          type: string
          enum:
            - client
        client:
          $ref: '#/components/schemas/ClientBadgeDto'
      required:
        - id
        - noteId
        - entityType
        - client
      id: PrivateNoteLinkClientDto
    NoteLinkApplicationDto:
      type: object
      properties:
        id:
          type: string
        noteId:
          type: string
        entityType:
          type: string
          enum:
            - application
        applicationId:
          type: string
      required:
        - id
        - noteId
        - entityType
        - applicationId
      id: PrivateNoteLinkApplicationDto
    NoteLinkClientContactDto:
      type: object
      properties:
        id:
          type: string
        noteId:
          type: string
        entityType:
          type: string
          enum:
            - clientContact
        clientContact:
          type: object
          properties:
            id:
              type: string
            firstName:
              type: string
            lastName:
              type: string
            middleName:
              anyOf:
                - type: string
                - type: 'null'
            secondLastName:
              anyOf:
                - type: string
                - type: 'null'
            avatarUrl:
              anyOf:
                - type: string
                - type: 'null'
            candidateId:
              type: string
            companyId:
              type: string
            companyName:
              type: string
            companyLogoUrl:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - id
            - firstName
            - lastName
            - middleName
            - secondLastName
            - avatarUrl
            - candidateId
            - companyId
            - companyName
            - companyLogoUrl
      required:
        - id
        - noteId
        - entityType
        - clientContact
      id: PrivateNoteLinkClientContactDto
    NoteLinkInterviewDto:
      type: object
      properties:
        id:
          type: string
        noteId:
          type: string
        entityType:
          type: string
          enum:
            - interview
        interviewId:
          type: string
      required:
        - id
        - noteId
        - entityType
        - interviewId
      id: PrivateNoteLinkInterviewDto
    NoteLinkOpportunityDto:
      type: object
      properties:
        id:
          type: string
        noteId:
          type: string
        entityType:
          type: string
          enum:
            - opportunity
        opportunity:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            company:
              $ref: '#/components/schemas/CompanyBadgeDto'
          required:
            - id
            - name
            - company
      required:
        - id
        - noteId
        - entityType
        - opportunity
      id: PrivateNoteLinkOpportunityDto
    MeetingProvider:
      id: PrivateMeetingProvider
      type:
        - string
        - 'null'
      enum:
        - googleMeet
        - zoom
        - microsoftTeams
        - audioFile
        - null
    TelecomProvider:
      type: string
      enum:
        - TELNYX
        - AIRCALL
        - RINGCENTRAL
        - RINGOVER
        - VOIPPLAY
        - DIALPAD
      id: TelecomProvider
    ValidationRequiredDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - REQUIRED
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationRequiredDto
    ValidationInvalidEmptyStringDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMPTY_STRING
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidEmptyStringDto
    ValidationUnknownFieldDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - UNKNOWN_FIELD
        path:
          type: string
        message:
          type: string
        received: {}
        keys:
          type: array
          items:
            type: string
      required:
        - code
        - path
        - message
        - keys
      id: ValidationUnknownFieldDto
    ValidationTooSmallDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - TOO_SMALL
        path:
          type: string
        message:
          type: string
        received: {}
        minimum:
          type: number
        inclusive:
          type: boolean
        origin:
          type: string
      required:
        - code
        - path
        - message
        - minimum
        - inclusive
        - origin
      id: ValidationTooSmallDto
    ValidationTooBigDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - TOO_BIG
        path:
          type: string
        message:
          type: string
        received: {}
        maximum:
          type: number
        inclusive:
          type: boolean
        origin:
          type: string
      required:
        - code
        - path
        - message
        - maximum
        - inclusive
        - origin
      id: ValidationTooBigDto
    ValidationInvalidTypeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TYPE
        path:
          type: string
        message:
          type: string
        received: {}
        expected:
          type: string
      required:
        - code
        - path
        - message
        - expected
      id: ValidationInvalidTypeDto
    ValidationInvalidValueDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_VALUE
        path:
          type: string
        message:
          type: string
        received: {}
        expected: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidValueDto
    ValidationInvalidEmailDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMAIL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidEmailDto
    ValidationInvalidUuidDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_UUID
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidUuidDto
    ValidationInvalidUrlDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_URL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidUrlDto
    ValidationInvalidDatetimeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DATETIME
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDatetimeDto
    ValidationInvalidDateDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DATE
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDateDto
    ValidationInvalidTimeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TIME
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidTimeDto
    ValidationInvalidDurationDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DURATION
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDurationDto
    ValidationInvalidIpv4Dto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_IPV4
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidIpv4Dto
    ValidationInvalidIpv6Dto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_IPV6
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidIpv6Dto
    ValidationInvalidJsonStringDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_JSON_STRING
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidJsonStringDto
    ValidationInvalidJwtDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_JWT
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidJwtDto
    ValidationInvalidRegexDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_REGEX
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidRegexDto
    ValidationInvalidPhoneNumberDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_PHONE_NUMBER
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidPhoneNumberDto
    ValidationInvalidDomainDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DOMAIN
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDomainDto
    ValidationInvalidHttpsUrlDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_HTTPS_URL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidHttpsUrlDto
    ValidationInvalidTimezoneDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TIMEZONE
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidTimezoneDto
    ValidationPaginationOffsetExceededDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - PAGINATION_OFFSET_EXCEEDED
        path:
          type: string
        message:
          type: string
        received: {}
        maximum:
          type: number
      required:
        - code
        - path
        - message
        - maximum
      id: ValidationPaginationOffsetExceededDto
    ClientBadgeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        logoUrl:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - name
        - logoUrl
      id: PrivateClientBadgeDto
    CompanyBadgeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        logoUrl:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - name
        - logoUrl
      id: PrivateCompanyBadgeDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````